Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_1-decod_unit_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_1-decod_unit_1.cfg	(revision 119)
+++ 	(revision )
@@ -1,10 +1,0 @@
-Front_end_Glue
-1	1	+1	# nb_context                     
-1	1	+1	# nb_decod_unit                  
-1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-0	0	+1	# link_context_to_decod_unit [0] [nb_context]
-30	30	+1	# size_address                   
-2	2	+1	# size_depth                 [0] [nb_context]
-4	4	+1	# nb_branch_speculated       [0] [nb_context]
-4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_1.cfg	(revision 119)
+++ 	(revision )
@@ -1,19 +1,0 @@
-Front_end_Glue
-4	4	+1	# nb_context                     
-1	1	+1	# nb_decod_unit                  
-1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-0	0	+1	# link_context_to_decod_unit [0] [nb_context]
-0	0	+1	# link_context_to_decod_unit [1] [nb_context]
-0	0	+1	# link_context_to_decod_unit [2] [nb_context]
-0	0	+1	# link_context_to_decod_unit [3] [nb_context]
-30	30	+1	# size_address                   
-2	2	+1	# size_depth                 [0] [nb_context]
-0	0	+1	# size_depth                 [1] [nb_context]
-1	1	+1	# size_depth                 [2] [nb_context]
-3	3	+1	# size_depth                 [3] [nb_context]
-4	4	+1	# nb_branch_speculated       [0] [nb_context]
-1	1	+1	# nb_branch_speculated       [1] [nb_context]
-2	2	+1	# nb_branch_speculated       [2] [nb_context]
-8	8	+1	# nb_branch_speculated       [3] [nb_context]
-4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_2-a.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_2-a.cfg	(revision 119)
+++ 	(revision )
@@ -1,20 +1,0 @@
-Front_end_Glue
-4	4	+1	# nb_context                     
-2	2	+1	# nb_decod_unit                  
-4	4	+1	# nb_inst_decod              [0] [nb_decod_unit]
-1	1	+1	# nb_inst_decod              [1] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-0	0	+1	# link_context_to_decod_unit [0] [nb_context]
-1	1	+1	# link_context_to_decod_unit [1] [nb_context]
-0	0	+1	# link_context_to_decod_unit [2] [nb_context]
-1	1	+1	# link_context_to_decod_unit [3] [nb_context]
-30	30	+1	# size_address                   
-2	2	+1	# size_depth                 [0] [nb_context]
-0	0	+1	# size_depth                 [1] [nb_context]
-1	1	+1	# size_depth                 [2] [nb_context]
-3	3	+1	# size_depth                 [3] [nb_context]
-4	4	+1	# nb_branch_speculated       [0] [nb_context]
-1	1	+1	# nb_branch_speculated       [1] [nb_context]
-2	2	+1	# nb_branch_speculated       [2] [nb_context]
-8	8	+1	# nb_branch_speculated       [3] [nb_context]
-4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_2-b.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_2-b.cfg	(revision 119)
+++ 	(revision )
@@ -1,20 +1,0 @@
-Front_end_Glue
-4	4	+1	# nb_context                     
-2	2	+1	# nb_decod_unit                  
-4	4	+1	# nb_inst_decod              [0] [nb_decod_unit]
-1	1	+1	# nb_inst_decod              [1] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-0	0	+1	# link_context_to_decod_unit [0] [nb_context]
-1	1	+1	# link_context_to_decod_unit [1] [nb_context]
-1	1	+1	# link_context_to_decod_unit [2] [nb_context]
-1	1	+1	# link_context_to_decod_unit [3] [nb_context]
-30	30	+1	# size_address                   
-2	2	+1	# size_depth                 [0] [nb_context]
-0	0	+1	# size_depth                 [1] [nb_context]
-1	1	+1	# size_depth                 [2] [nb_context]
-3	3	+1	# size_depth                 [3] [nb_context]
-4	4	+1	# nb_branch_speculated       [0] [nb_context]
-1	1	+1	# nb_branch_speculated       [1] [nb_context]
-2	2	+1	# nb_branch_speculated       [2] [nb_context]
-8	8	+1	# nb_branch_speculated       [3] [nb_context]
-4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-context_4-decod_unit_4.cfg	(revision 119)
+++ 	(revision )
@@ -1,22 +1,0 @@
-Front_end_Glue
-4	4	+1	# nb_context                     
-4	4	+1	# nb_decod_unit                  
-2	2	+1	# nb_inst_decod              [0] [nb_decod_unit]
-4	4	+1	# nb_inst_decod              [1] [nb_decod_unit]
-1	1	+1	# nb_inst_decod              [2] [nb_decod_unit]
-8	8	+1	# nb_inst_decod              [3] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-1	1	+1	# link_context_to_decod_unit [0] [nb_context]
-0	0	+1	# link_context_to_decod_unit [1] [nb_context]
-3	3	+1	# link_context_to_decod_unit [2] [nb_context]
-2	2	+1	# link_context_to_decod_unit [3] [nb_context]
-30	30	+1	# size_address                   
-2	2	+1	# size_depth                 [0] [nb_context]
-0	0	+1	# size_depth                 [1] [nb_context]
-1	1	+1	# size_depth                 [2] [nb_context]
-3	3	+1	# size_depth                 [3] [nb_context]
-4	4	+1	# nb_branch_speculated       [0] [nb_context]
-1	1	+1	# nb_branch_speculated       [1] [nb_context]
-2	2	+1	# nb_branch_speculated       [2] [nb_context]
-8	8	+1	# nb_branch_speculated       [3] [nb_context]
-4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-min.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/config-min.cfg	(revision 119)
+++ 	(revision )
@@ -1,10 +1,0 @@
-Front_end_Glue
-1	1	+1	# nb_context                     
-1	1	+1	# nb_decod_unit                  
-1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
-1	1	+1	# nb_inst_branch_complete        
-0	0	+1	# link_context_to_decod_unit [0] [nb_context]
-30	30	+1	# size_address                   
-0	0	+1	# size_depth                 [0] [nb_context]
-1	1	+1	# nb_branch_speculated       [0] [nb_context]
-1       1       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_1-decod_unit_1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_1-decod_unit_1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_1-decod_unit_1.gen	(revision 145)
@@ -0,0 +1,10 @@
+Front_end_Glue
+1	1	+1	# nb_context                     
+1	1	+1	# nb_decod_unit                  
+1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+0	0	+1	# link_context_to_decod_unit [0] [nb_context]
+30	30	+1	# size_address                   
+2	2	+1	# size_depth                 [0] [nb_context]
+4	4	+1	# nb_branch_speculated       [0] [nb_context]
+4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_1.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_1.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_1.gen	(revision 145)
@@ -0,0 +1,19 @@
+Front_end_Glue
+4	4	+1	# nb_context                     
+1	1	+1	# nb_decod_unit                  
+1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+0	0	+1	# link_context_to_decod_unit [0] [nb_context]
+0	0	+1	# link_context_to_decod_unit [1] [nb_context]
+0	0	+1	# link_context_to_decod_unit [2] [nb_context]
+0	0	+1	# link_context_to_decod_unit [3] [nb_context]
+30	30	+1	# size_address                   
+2	2	+1	# size_depth                 [0] [nb_context]
+0	0	+1	# size_depth                 [1] [nb_context]
+1	1	+1	# size_depth                 [2] [nb_context]
+3	3	+1	# size_depth                 [3] [nb_context]
+4	4	+1	# nb_branch_speculated       [0] [nb_context]
+1	1	+1	# nb_branch_speculated       [1] [nb_context]
+2	2	+1	# nb_branch_speculated       [2] [nb_context]
+8	8	+1	# nb_branch_speculated       [3] [nb_context]
+4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-a.gen	(revision 145)
@@ -0,0 +1,20 @@
+Front_end_Glue
+4	4	+1	# nb_context                     
+2	2	+1	# nb_decod_unit                  
+4	4	+1	# nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1	# nb_inst_decod              [1] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+0	0	+1	# link_context_to_decod_unit [0] [nb_context]
+1	1	+1	# link_context_to_decod_unit [1] [nb_context]
+0	0	+1	# link_context_to_decod_unit [2] [nb_context]
+1	1	+1	# link_context_to_decod_unit [3] [nb_context]
+30	30	+1	# size_address                   
+2	2	+1	# size_depth                 [0] [nb_context]
+0	0	+1	# size_depth                 [1] [nb_context]
+1	1	+1	# size_depth                 [2] [nb_context]
+3	3	+1	# size_depth                 [3] [nb_context]
+4	4	+1	# nb_branch_speculated       [0] [nb_context]
+1	1	+1	# nb_branch_speculated       [1] [nb_context]
+2	2	+1	# nb_branch_speculated       [2] [nb_context]
+8	8	+1	# nb_branch_speculated       [3] [nb_context]
+4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-b.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-b.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_2-b.gen	(revision 145)
@@ -0,0 +1,20 @@
+Front_end_Glue
+4	4	+1	# nb_context                     
+2	2	+1	# nb_decod_unit                  
+4	4	+1	# nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1	# nb_inst_decod              [1] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+0	0	+1	# link_context_to_decod_unit [0] [nb_context]
+1	1	+1	# link_context_to_decod_unit [1] [nb_context]
+1	1	+1	# link_context_to_decod_unit [2] [nb_context]
+1	1	+1	# link_context_to_decod_unit [3] [nb_context]
+30	30	+1	# size_address                   
+2	2	+1	# size_depth                 [0] [nb_context]
+0	0	+1	# size_depth                 [1] [nb_context]
+1	1	+1	# size_depth                 [2] [nb_context]
+3	3	+1	# size_depth                 [3] [nb_context]
+4	4	+1	# nb_branch_speculated       [0] [nb_context]
+1	1	+1	# nb_branch_speculated       [1] [nb_context]
+2	2	+1	# nb_branch_speculated       [2] [nb_context]
+8	8	+1	# nb_branch_speculated       [3] [nb_context]
+4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_4.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_4.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-context_4-decod_unit_4.gen	(revision 145)
@@ -0,0 +1,22 @@
+Front_end_Glue
+4	4	+1	# nb_context                     
+4	4	+1	# nb_decod_unit                  
+2	2	+1	# nb_inst_decod              [0] [nb_decod_unit]
+4	4	+1	# nb_inst_decod              [1] [nb_decod_unit]
+1	1	+1	# nb_inst_decod              [2] [nb_decod_unit]
+8	8	+1	# nb_inst_decod              [3] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+1	1	+1	# link_context_to_decod_unit [0] [nb_context]
+0	0	+1	# link_context_to_decod_unit [1] [nb_context]
+3	3	+1	# link_context_to_decod_unit [2] [nb_context]
+2	2	+1	# link_context_to_decod_unit [3] [nb_context]
+30	30	+1	# size_address                   
+2	2	+1	# size_depth                 [0] [nb_context]
+0	0	+1	# size_depth                 [1] [nb_context]
+1	1	+1	# size_depth                 [2] [nb_context]
+3	3	+1	# size_depth                 [3] [nb_context]
+4	4	+1	# nb_branch_speculated       [0] [nb_context]
+1	1	+1	# nb_branch_speculated       [1] [nb_context]
+2	2	+1	# nb_branch_speculated       [2] [nb_context]
+8	8	+1	# nb_branch_speculated       [3] [nb_context]
+4       4       +1      # size_nb_inst_decod
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Front_end_Glue/SelfTest/configuration/config-min.gen	(revision 145)
@@ -0,0 +1,10 @@
+Front_end_Glue
+1	1	+1	# nb_context                     
+1	1	+1	# nb_decod_unit                  
+1	1	+1	# nb_inst_decod              [0] [nb_decod_unit]
+1	1	+1	# nb_inst_branch_complete        
+0	0	+1	# link_context_to_decod_unit [0] [nb_context]
+30	30	+1	# size_address                   
+0	0	+1	# size_depth                 [0] [nb_context]
+1	1	+1	# nb_branch_speculated       [0] [nb_context]
+1       1       +1      # size_nb_inst_decod
